Subject: Re: [PATCH 0/5] parse-options: minor cleanups for handling subcommands

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Sep 2022 12:12:21 -0700

SZEDER Gábor <[email-masked]> writes:

> The changes really are minor: the first four patches shouldn't alter
> behavior in any way, and even the last one touches only two error
> messages.

All of them make sense.  I especially liked the simplification of
"defaults to list" one.  "git notes list list foo" might change
behaviour but probably in a better direction.

Will queue.

Thanks.